Bazaar

Bazaar

 




Wiki Tools

  • Find Page
  • Recent Changes
  • Page History
  • Attachments

Differences between revisions 52 and 53
Revision 52 as of 2011-08-01 09:00:19
Size: 1940
Editor: iandol
Comment: Lion workaround info added, while waiting for real installers
Revision 53 as of 2011-08-31 12:18:45
Size: 1951
Editor: iandol
Comment: add link to 2.4 -- no idea when Lion support will be annouced...
Deletions are marked like this. Additions are marked like this.
Line 6: Line 6:
Note: to use Bazaar in OS X Lion (10.7), you should change the default version of Python to 2.6 : defaults write com.apple.versioner.python Version 2.6 -- at some point the installer will be able to use 2.7 but for now this is the easiest way to get Bazaar working with Lion. Note: to use Bazaar in OS X Lion (10.7), you should change the default version of Python to 2.6 :

{{{
defaults write com.apple.versioner.python Version 2.6}}}

A
t some point the installer will be able to use 2.7 but for now this is the easiest way to get Bazaar working with Lion.
Line 8: Line 12:
|| Snow Leopard (10.6 - Python 2.6) || [[MacOSXBundle/SnowLeopard|instructions]] || [[http://launchpad.net/bzr/2.3/2.3.3/+download/Bazaar-2.3.3-OSX-10.6-2.dmg|2.3.3]] || [[http://launchpad.net/bzr/2.4/2.4b5/+download/Bazaar-2.4b5-OSX-10.6-2.dmg|2.4b5]] || || Snow Leopard (10.6 - Python 2.6) || [[MacOSXBundle/SnowLeopard|instructions]] || [[http://launchpad.net/bzr/2.4/2.4.0/+download/Bazaar-2.4.0-OSX-10.6-2.dmg|2.4.0]] || [[http://launchpad.net/bzr/2.4/2.4b5/+download/Bazaar-2.4b5-OSX-10.6-2.dmg|2.4b5]] ||

Mac OS X Downloads and Installation

Application Bundles

Note: to use Bazaar in OS X Lion (10.7), you should change the default version of Python to 2.6 :

defaults write com.apple.versioner.python Version 2.6

At some point the installer will be able to use 2.7 but for now this is the easiest way to get Bazaar working with Lion.

Platform

Information

Stable

Test

Snow Leopard (10.6 - Python 2.6)

instructions

2.4.0

2.4b5

Leopard (10.5 - Python 2.5)

instructions

2.3.3

2.4b2

Tiger (10.4) - Python 2.6

instructions

2.0.0

Tiger (10.4) - Python 2.5

instructions

2.0.0

Note: The bundles for 2.1 and newer include Bazaar Explorer and QBzr, as well as the Qt and PyQt libraries to support them.

Older versions of Bazaar are available from https://launchpad.net/bzr/+download.

Homebrew

See Homebrew for general instructions, and the Bazaar formula for technical details.

MacPorts

See MacPorts instructions.

Fink

See Fink repository.

Source

See install from source.